@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins';
    scroll-behavior: smooth;
}


:root {
    --primary-color: #0000;
    --second-color: #BEB7A4;
    --text-color: #FFFFFC;
}

/* Nav Bar */

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    padding: 10px;
    z-index: 200;
}

.menu-toggle span {
    background-color: var(--text-color);
    height: 3px;
    width: 25px;
    margin: 3px 0;
    transition: all 0.3s ease;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: #000;
}

nav .logo img {
    width: 100px;
    margin-left: 50px;
}

nav .navlinks ul {
    display: flex;
    list-style: none;
    gap: 20px;
    margin-right: 50px;
}

nav .navlinks ul li a {
    text-decoration: none;
    color: var(--text-color);
}

nav .navlinks ul li a:hover {
    color: #ffffff73;
}

/* Service section */

.service .container .text-service  {
    background: #000;
    margin-top: 20px;
    width: 88vw;
    height: 50px;
    margin: 20px 100px;
}

.service .container .text-service h1 {
    color: var(--text-color);
    text-align: left;
    padding: 10px;
    text-transform: uppercase;
}

.service .container .row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    margin: 20px 60px;
}

.card {
    padding: 20px;
    margin: 20px;
    width: 400px;
    height: 500px;
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: end;
}

.card .img {
    width: 100%;
    height: 400px;
    overflow: hidden;
}

.card .img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card .text-card {
    padding-top: 10px;
    text-align: center;
    color: #000;
}

.card .text-card h2 {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
    text-align: left;
}

.card .text-card p {
    font-size: 18px;
    margin-bottom: 20px;
    text-align: left;
}

.card button {
    background-color: var(--second-color);
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.card button a {
    text-decoration: none;
    color: #fff;
}




/* Footer section */

footer {
    margin-top: 50px;
    background: #000;
    color: #fff;
    padding: 20px;
    position: relative;
    bottom: 0;
    width: 100%;
}

footer .row .top {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

footer .row .top img {
    margin-left: 45px;
    margin-bottom: 20px;
    width: 100px;
}

footer .row .bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* footer icon part */

footer .row .bottom .column .icon {
    margin-left: 50px;
    display: flex;
    gap: 10px;
    text-align: center;
    margin-bottom: 10px;
}

footer .footer-container .row .bottom .column .icon p a {
    color: #fff;
    text-decoration: none;
}

/* Footer Link part */

footer .row .bottom .column-links ul {
    display: flex;
    gap: 10px;
    list-style: none;
    margin: 0;
    padding: 0;
}

footer .row .bottom .column-links ul li a {
    font-size: 1rem;
    color: #fff;
    text-decoration: none;
}

/* copyright */

footer .footer-container .copy {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

footer .footer-container .copy p {
    color: var(--text-color);
    font-size: .8rem;
}

/* responsive */

@media screen and (max-width: 1024px) {
   .service .container .text-service {
        width: 80vw;
   }

    .service .container .row {
        grid-template-columns: repeat(2, 1fr);
        gap: 0;
    }

    
}

@media screen and (max-width: 768px) {
    /* Navigation */
    nav .logo img {
        margin-left: 20px;
        width: 80px;
    }
    
    .menu-toggle {
        display: flex;
        margin-right: 20px;
    }
    
    nav .navlinks {
        position: fixed;
        top: 0;
        right: -100%;
        width: 70%;
        height: 100vh;
        background-color: #000;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transition: 0.5s ease-in-out;
        z-index: 100;
    }
    
    nav .navlinks.active {
        right: 0;
    }
    
    nav .navlinks ul {
        flex-direction: column;
        text-align: center;
        margin-right: 0;
    }
    
    nav .navlinks ul li {
        margin: 15px 0;
    }
    

    .service .container .row  {
        grid-template-columns: 1fr;
    } 

    .service .container .row .card {
        width: 100%;
    }

    
    /* Footer */
    footer .row .top  {
        display: flex;
        justify-content: center;
    }
    footer .row .bottom {        
        flex-direction: column;
        text-align: center;
        align-items: center;
        justify-content: center;
    }
    
    footer .row .top img {
        margin-left: 0;
    }
    
    footer .row .bottom .column .icon {
        margin-left: 0;
        justify-content: center;
    }
    
    footer .row .bottom .column-links ul {
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
    }
    
    footer .row .bottom .column-links ul li {
        margin: 5px 0;
    }
    

}

@media screen and (max-width: 480px) {
    

    .service .container .text-service {
        width: 90vw;
        height: auto;
        margin: 10px 20px;
    }

    .service .container .row {
        display: flex;
        flex-direction: column;
        align-items: center;

    }

    .service .container .row .card {
        position: relative;
        width: 90vw;
        margin:30px  0;
        padding: 0;
        left: 0;
    }
}